Bug 1560634 (CVE-2018-1312)

Summary: CVE-2018-1312 httpd: Weak Digest auth nonce generation in mod_auth_digest
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: apmukher, bnater, b.prins, csutherl, dffrench, drusso, gzaronik, hhorak, jclere, jdoyle, jkaluza, jmadigan, jorton, jshepherd, lgao, lgriffin, luhliari, mbabacek, mturk, myarboro, ngough, pahan, psampaio, pslavice, pwright, rrajasek, rsvoboda, trepel, twalsh, weli, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: httpd 2.4.30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:18:37 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1560635, 1560636, 1566317, 1566318, 1566319, 1719722    
Bug Blocks: 1560402    

Description Pedro Sampaio 2018-03-26 15:41:26 UTC
When generating an HTTP Digest authentication challenge, the nonce
sent to prevent reply attacks was not correctly generated using a
pseudo-random seed.  In a cluster of servers using a common Digest
authentication configuration, HTTP requests could be replayed across
servers by an attacker without detection.

Versions Affected:
httpd 2.2.0 to 2.4.29

External references:

https://httpd.apache.org/security/vulnerabilities_24.html

Comment 1 Pedro Sampaio 2018-03-26 15:42:01 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1560635]

Comment 5 Huzaifa S. Sidhpurwala 2018-04-12 04:05:19 UTC
Upstream patchset: 
https://svn.apache.org/viewvc?view=revision&revision=1824481

Upstream bug:
https://bz.apache.org/bugzilla/show_bug.cgi?id=54637

Comment 7 Huzaifa S. Sidhpurwala 2018-06-22 04:43:50 UTC
Statement:

The "AuthType Digest" directive is not enabled in the default httpd configuration as shipped with Red Hat Enterprise Linux, and needs to be explicitly enabled. Therefore this flaw has no impact on the default versions of the httpd package as shipped with Red Hat Enterprise Linux. Also upstream discourages the use of mod_auth_digest because of its inherent security weaknesses and recommends the use of mod_ssl.

Comment 11 errata-xmlrpc 2018-11-13 08:36:04 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3558 https://access.redhat.com/errata/RHSA-2018:3558

Comment 12 errata-xmlrpc 2019-02-18 16:55:47 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2019:0366 https://access.redhat.com/errata/RHSA-2019:0366

Comment 13 errata-xmlrpc 2019-02-18 16:58:27 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6
  JBoss Core Services on RHEL 7

Via RHSA-2019:0367 https://access.redhat.com/errata/RHSA-2019:0367

Comment 15 errata-xmlrpc 2019-07-29 15:15:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1898 https://access.redhat.com/errata/RHSA-2019:1898